<?xml version="1.0" encoding="UTF-8"?> 

<xsl:stylesheet version="1.0" 
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

 <xsl:variable name="skin" select="/album/skin"/>

 <xsl:template match="/">
  <html>
   <head>
    <title>
     Fotoalbum
    </title>
    <link rel="stylesheet" href="album.css" type="text/css" />
    <link rel="stylesheet" href="{$skin}.css" type="text/css" />
    <meta http-equiv="content-type" content="text/html; charset=utf-8" />
   </head>
   <body>
    <a href="../cs/album.html?skin={$skin}">
     <img src="ikony/f-cs.gif"/>
    </a>&#160;
    <a href="../en/album.html?skin={$skin}">
     <img src="ikony/f-gb.gif"/>
    </a>&#160;
    <a href="../de/album.html?skin={$skin}">
     <img src="ikony/f-de.gif"/>
    </a>
    &#160;&#160;&#160;|&#160;&#160;&#160;
    <a href="album.html?skin=black">
     <img src="ikony/black.png"/>
    </a>&#160;
    <a href="album.html?skin=yellow">
     <img src="ikony/yellow.png"/>
    </a>
    <hr />

    <h1><xsl:value-of select="/album/nazev"/></h1>
    <h2><xsl:value-of select="/album/datum"/></h2>
    <table>
    <xsl:apply-templates/>
    </table>
   </body>
  </html>
 </xsl:template>

 <xsl:template match="album/nazev|album/datum|skin|foto"/>
 
 <xsl:template match="fotka">
  <tr>
   <td>
    <a href="foto.html?skin={$skin}&amp;pict={@src}">
     <img src="nahled/{@src}.jpg"/>
    </a>
   </td>
   <td><xsl:value-of select="popis"/></td>
  </tr>
 </xsl:template>

</xsl:stylesheet>
